# Create Invoice Creates a new invoice. Endpoint: POST /billing/invoices Version: 1.0.0 Security: apiKeyAuth ## Header parameters: - `x-entity-id` (string) Optional entity ID for scoped access to entity-specific data ## Request fields (application/json): - `customer_id` (string, required) - `line_items` (array, required) - `line_items.product_id` (string, required) - `line_items.quantity` (any, required) Quantity of the product - `line_items.price` (any) - `line_items.description` (any) Description of the product, will default to the product's description if not provided - `line_items.discount_percentage` (any) - `line_items.discount_description` (any) Description of the discount applied to the product - `invoice_date` (string, required) Date the invoice is scheduled to be sent - `due_date` (string, required) Date the invoice is due - `payment_method_types` (array, required) Payment method types to enable on the invoice. BANK_TRANSFER is always enabled. Enum: "BANK_TRANSFER", "CARD", "ACH_DIRECT_DEBIT", "INTERNATIONAL_WIRE", "USDC_ETHEREUM", "USDC_SOLANA", "USDC_BASE", "USDT_ETHEREUM", "CASH_SOLANA" - `recurring_schedule` (any) Recurring schedule for the invoice. Enter a valid RFC 2445 RRULE string. If you need help creating one, use https://icalendar.org/rrule-tool.html - `send_email_on_creation` (boolean, required) If true, sends an email to the contact (and any additional recipients) on the invoice_date. - `additional_recipient_emails` (any) Additional recipient emails to send the invoice and any reminders to - `note` (any) Note to include on the invoice - `name` (any) Name of the invoice - `collection_account_id` (string, required) Account ID that payments on this invoice will be deposited to - `show_contact_address` (boolean) Whether to show the contact's address on the invoice, if it exists ## Response 200 fields (application/json): - `id` (string, required) The unique identifier for the invoice - `name` (any) The name of the invoice - `customer_id` (string, required) The unique identifier for the customer - `line_item_ids` (array, required) List of line item IDs associated with the invoice - `invoice_date` (any) The date the invoice is scheduled to be sent - `due_date` (any) The date the invoice payment is due - `payment_method_types` (array, required) List of allowed payment methods for the invoice Enum: "BANK_TRANSFER", "CARD", "ACH_DIRECT_DEBIT", "INTERNATIONAL_WIRE", "USDC_ETHEREUM", "USDC_SOLANA", "USDC_BASE", "USDT_ETHEREUM", "CASH_SOLANA" - `send_email_on_creation` (boolean, required) Whether to send an email upon invoice creation - `additional_recipient_emails` (array, required) List of additional email addresses to receive the invoice - `note` (any) A note associated with the invoice - `collection_account_id` (string, required) The account ID where funds will be collected - `created_at` (string, required) The timestamp when the invoice was created - `updated_at` (any) The timestamp when the invoice was last updated ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required)